#ifndef FIO_H 
#define FIO_H 
 
//////////////////////////////////////////////////////////////////////// 
// 
//  Module Name:  fio.h 
// 
//  Description:  Fio include for class definitions 
// 
//  Written by:   John Tal 
// 
// 
//  Modification history: 
// 
//  Date         Engineer     Mod #          Modification Description 
// 
//  12-Feb-1992  Tal          v 1.0-001      Initial conversion to C++ 
// 
//////////////////////////////////////////////////////////////////////// 
 
 
 
#include <stdio.h> 
#include <stdlib.h>
#include <string.h>

#include <sys/types.h>
#include <sys/stat.h>

#include <memincs.h>


// 
//  Fio Class 
// 
 
 
class FIO_C 
{ 
 
private: 
 
   #define FIO_PERIOD   '.' 
   #define FIO_SEED_PATH_LEN 64 
   #define FIO_MAX_EXTENSION 999 
   #define FIO_EXTENSION_LEN 3 
 
   SHORT  ExtensionLen; 
   SHORT  MaxExtension; 
 
protected: 
 
   SHORT FindChar(PCHAR pcString, CHAR cChar);

public:

   #define FIO_OK  0
   #define FIO_NO_FILE -1
   #define FIO_FILE_OLD -2
   #define FIO_NO_CHAR -3

   FIO_C(VOID) { };
   ~FIO_C(VOID) { };
   SHORT GetFile(PCHAR);
   SHORT RemoveFile(PCHAR);
   SHORT IncSeedPathName(PCHAR);
   SHORT CheckFileClear(PCHAR);
   SHORT ReplaceExt(PCHAR, PCHAR);
};

typedef FIO_C * FIO_P;

#endif 
